Api reference
PATCH Sessions Id
PATCH
/v1/sessions/{id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
agentSessionId?string|null
isArchived?boolean|null
title?string|null
worktreeName?string|null
projectId?string|null
workspaceId?string|null
harnessId?string|null
harnessAccountId?string|null
updatedAt?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/sessions/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "projectId": "string", "serverId": "string", "harnessId": "string", "harnessAccountId": "string", "agentSessionId": "string", "title": "string", "origin": "codevisor", "isArchived": true, "archivedAt": "string", "worktreeName": "string", "workspaceId": "string", "cwd": "string", "configSelections": { "property1": "string", "property2": "string" }, "createdAt": "string", "updatedAt": "string", "sidebarState": "idle", "sidebarStateChangedAt": "string", "usage": { "used": 0, "size": 0, "inputTokens": 0, "cachedInputTokens": 0, "outputTokens": 0, "reasoningOutputTokens": 0, "totalTokens": 0, "costAmount": 0, "costCurrency": "string", "costKind": "reported" }, "latestAttentionSequence": 0, "lastSeenAttentionSequence": 0, "unreadCount": 0, "hasUnreadError": true, "actionRequired": true, "actionRequiredKind": "question", "pendingPlanApproval": true}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}